package dev.peerat.parser.java;

import dev.peerat.parser.Bag;
import dev.peerat.parser.Token;

public class BuildedJavaFile{
	
	private JavaFile file;
	
	public BuildedJavaFile(){
		this.file = new JavaFile();
	}
	
	public BuildedJavaFile setPackage(String value){
		Bag bag = new Bag();
		bag.set(new Token(0, 0, value, null));
		this.file.setPackage(bag);
		return this;
	}
	
	public BuildedJavaFile addImport(String... values){
		for(String value : values){
			Import imp = new Import(false, new Token(0,0,value,null));
			this.file.addImport(imp);
		}
		return this;
	}
	
	public BuildedJavaFile setClass(Class clazz){
		this.file.addClass(clazz);
		return this;
	}
	
	public JavaFile build(){
		return this.file;
	}
	
}
